Skip to main content
GET
/
transactions
/
me
Get User Transactions
curl --request GET \
  --url https://api.obiex.finance/v1/transactions/me
import requests

url = "https://api.obiex.finance/v1/transactions/me"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.obiex.finance/v1/transactions/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Ok",
  "data": [
    {
      "id": "437b425a-3f2e-4eb7-a753-7d7907ab25c0",
      "createdAt": "2026-03-27T10:25:59.722Z",
      "updatedAt": "2026-03-27T10:25:59.722Z",
      "active": true,
      "reference": "8b68da4e-b933-42c0-95d0-80f253da89d5",
      "description": "Swap from USDT to NGNX",
      "narration": null,
      "type": "CREDIT",
      "category": "SWAP",
      "amount": 14260,
      "walletId": "4d20bc14-3fe7-48dc-8d2f-e4f9a6105d77",
      "wallet": {
        "id": "4d20bc14-3fe7-48dc-8d2f-e4f9a6105d77",
        "createdAt": "2025-05-21T15:18:07.606Z",
        "updatedAt": "2026-03-27T10:25:59.722Z",
        "active": true,
        "availableBalance": 45520,
        "pendingBalance": 0,
        "pendingSwapBalance": 0,
        "lockedBalance": 10100,
        "totalSwappableBalance": 45520,
        "totalPendingBalance": 0,
        "userId": "51ec42a0-6c2f-4435-86ed-fa7bae079a57",
        "currencyId": "de3423cb-e81c-464f-8bb4-d9da15a37e8b"
      }
    }
  ]
}

Headers

X-API-KEY
string
X-API-TIMESTAMP
string
X-API-SIGNATURE
string

Query Parameters

Response

200 - application/json

Successful response

The response is of type object.